<?php

App::uses('Component', 'Controller');
App::uses('CreditController', 'Credit.Controller');

/**
 * Plugin de validacao de creditos e saldos por conta
 *
 * PHP versions 5+
 *
 * @author	 	  Fabricio S Costa
 * @link          https://fabriciojf@gmail.com 
 * @version		  1.0
 * 
 * O outro componente que seu componente utiliza
 * public $components = array('Outro');
 */
class CreditComponent extends Component {
	
	/**
	 * Adiciona um valor ao historico do cliente e set o 
	 * status para pendente
	 * array de parametros:
	 * $this->Credit->sumCashPending(array(
	 *		        'plano_price' => 100, 
	 *		        'plano_id' => 1,
	 *		        'user_id' => $this->Auth->user('id'),
	 *		        ));
	 */
	public function sumCashPending($_data = array()) {
		$Credit = new CreditController;
		$Credit->constructClasses();		
		return $Credit->saveCredit($_data);		
	}

    /**
     * Adiciona um valor no saldo do cliente
     * @param unknown_type $value
     */
	public function sumConfirm($value) {	    
	  	$this->CreditHistories->admin_save();
	    return 'adicionado';
	}
	
	/**
	 * Subtrai um valor do saldo
	 * @param unknown_type $value
	 */
	public function subtract($value) {
	    return 'subtraindo';
	}
}